<?php

if (defined("IS_PHAR")) {
    // We have already been loaded!
    return;
}

if (($phar = Phar::running())) {
    // -- running inside phar ---------------------------------------
    define("IS_PHAR", true);
    define("PHAR_PATH", $phar);
    define("PHAR_DIR", dirname($phar));
    // Read the metadata
    $obj = new Phar($phar);
    $meta = $obj->getMetadata();
    foreach ($meta as $k=>$v) {
        define("META_".strtoupper($k),$v);
    }
} else {
    // -- running outside of phar -----------------------------------
    define("IS_PHAR", false);
}
// APP_DIR: The directory where the application lives
define("APP_DIR", IS_PHAR?realpath($argv[0]):dirname(realpath($argv[0])));

